Bug 861148 - munin cron reports [ERROR] Ran out of children: No child processes
munin cron reports [ERROR] Ran out of children: No child processes
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 12:04 EDT by Jeff Sheltren
Modified: 2012-11-28 00:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 00:05:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1009357 None None None 2012-09-27 12:04:07 EDT

  None (edit)
Description Jeff Sheltren 2012-09-27 12:04:07 EDT
I receive these errors occasionally from munin-cron:

[ERROR] Ran out of children: No child processes
 at /usr/lib/perl5/vendor_perl/5.8.8/Munin/Master/HTMLOld.pm line 795

I'm not sure why I get them sometimes and not all the time, but I found a couple of relevant bug reports (and patches):

https://bugs.launchpad.net/ubuntu/+source/munin/+bug/1009357
http://munin-monitoring.org/ticket/1213

I'm currently getting them from munin-2.0.6-2.el5, but I've seen them with previous versions as well.
Comment 1 Jeff Sheltren 2012-10-19 11:12:24 EDT
I'm still getting these errors with munin-2.0.7-1.el5

The patches in the bugs linked above seem to fix it for me, any chance we could get it patched in the next release?  I can provide a patch for the latest RPM if that would help.
Comment 2 d. johnson 2012-10-19 12:15:54 EDT
I will create a test build (munin-2.0.7-3) with the patch mentioned in the upstream ticket.  I was under the impression this was fixed already.

Patches always welcome of course!
Comment 3 Fedora Update System 2012-10-19 23:34:29 EDT
munin-2.0.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc16
Comment 4 Fedora Update System 2012-10-19 23:35:21 EDT
munin-2.0.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc17
Comment 5 Fedora Update System 2012-10-19 23:36:26 EDT
munin-2.0.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc18
Comment 6 Fedora Update System 2012-10-19 23:37:26 EDT
munin-2.0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el5
Comment 7 Fedora Update System 2012-10-19 23:38:44 EDT
munin-2.0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el6
Comment 8 Fedora Update System 2012-10-20 15:46:31 EDT
Package munin-2.0.7-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.7-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13237/munin-2.0.7-3.el5
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-11-04 12:19:55 EST
munin-2.0.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el6
Comment 10 Fedora Update System 2012-11-04 12:22:00 EST
munin-2.0.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el5
Comment 11 Fedora Update System 2012-11-11 15:33:23 EST
munin-2.0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el6
Comment 12 Fedora Update System 2012-11-11 15:36:36 EST
munin-2.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el5
Comment 13 Fedora Update System 2012-11-28 00:05:59 EST
munin-2.0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-28 00:09:06 EST
munin-2.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.